<?php
include('../../dao/auto_load.php');
$conecta = new \Conn\MySqlConnect();
$categoriasDao = new \Dao\Categorias();
$categoriasDao->nome = $conecta->real_escape_string(filter_input(INPUT_POST, 'nome'));
$categoriasDao->data_cadastro = date('Y-m-d H:i:s');
$categoriasDao->usuario_cadastrou = $_SESSION['id_usuario'];
$lst_categorias = $categoriasDao->getLista($conecta, "AND nome = '$categoriasDao->nome'");
if (!empty($lst_categorias)) {
    echo json_encode(['type' => 'error', 'message' => 'Já Existe Uma Categoria Cadastrada Com Este Nome!']);
    $valid = false;
}
$res = json_decode($categoriasDao->salvar($conecta));
if ($res->data == 'Success') {
    echo json_encode(['type' => 'success', 'message' => $res->message]);
    return;
}
echo json_encode(['type' => 'error', 'message' => $res->message]);